Create a page.

Use this endpoint to create a page in a specified site. The body of the request should contain the metadata for the new page.
This metadata should include the page 'name', optional 'position' relative to its peers and the 'contentId' or 'contentTypeId'.
Specify 'contentId' to associate an existing content item with the page or specify 'contentTypeId' to create an empty content item using the specified content type.
The 'position' field is optional, value is an integer value starting at 0. If not set position is set to the last sibling position.
The 'layoutId' field is also optional. If not set the selected layout for the new content item will be the default layout mapped to the specified content type.
If the 'layoutId' field is specified it must be the ID of an existing layout. If the specified layout is not mapped to the content type then the default layout mapped to the content type will be used instead.

User roles: admin, manager

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The ID of the site.

Query Params
string

Clone the provided content item and to use the clone for this new page.
If 'contentId' is set on the body, it is ignored and replaced with the id of the newly cloned content Item
A non zero length value for 'contentTypeId' in the body must be specified to satisify the API requirements.

string

If ‘copySourcePageId’ is specified when creating a page then a new page is created by making a deep copy of the source page and its content.

Body Params

The metadata for the new page.

Creation of Page Metadata

string

The name of the page.

string

(Optional) The ID of the page content item to be associated with the new page. Specify this field when the new page is to be associated with an existing page content item.

string

(Optional) The ID of the page content type to be used to create the new page content item for the new page. Specify this field when a page content item does not already exist.

string

(Optional) The position of the page relative to its sibling pages. Position is an integer value starting at 0.

string

Page description.

string

(Optional) Page layout template ID for the new page content item. If not specified the default layout mapped to the content type will be used.

string

Friendly URL segment.

string

Page title.

string

(Optional) The ID of the parent page. This should not be set if the new page is to be a root page. Otherwise, set this field to the ID of the parent page.

boolean

(Optional) This controls the visibility of the page in the site navigation menu. Set it to true to hide the page. The default setting (if this field is not supplied) is false. If to true set on a parent page, it will override the corresponding flags in all descendant pages. Therefore, hiding a page will hide all its descendants in the site navigation menu.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json